<html>
<head>
<title>OgreSkeleton.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreSkeleton.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreQuaternion_8h_source.html">OgreQuaternion.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVector3_8h_source.html">OgreVector3.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringVector_8h_source.html">OgreStringVector.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimation_8h_source.html">OgreAnimation.h</a>&quot;</code><br/>
</div>
<p><a href="OgreSkeleton_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of <a class="el" href="classOgre_1_1Bone.html" title="A bone in a skeleton.">Bone</a> objects used to animate a skinned mesh.  <a href="classOgre_1_1Skeleton.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonPtr.html">Ogre::SkeletonPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1SkeletonPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr.">SkeletonPtr</a>.  <a href="classOgre_1_1SkeletonPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">Ogre::LinkedSkeletonAnimationSource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Link to another skeleton to share animations.  <a href="structOgre_1_1LinkedSkeletonAnimationSource.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga4393e2afffe021cb323b896779de3d17">OGRE_MAX_NUM_BONES</a>&#160;&#160;&#160;256</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga230b218164ffe5e6ee8970bef57e6abd">Ogre::SkeletonAnimationBlendMode</a> { <a class="el" href="group__Animation.html#gga230b218164ffe5e6ee8970bef57e6abda4d13dab20a3642f5fc20cf2bec22c2c3">Ogre::ANIMBLEND_AVERAGE</a> =  0, 
<a class="el" href="group__Animation.html#gga230b218164ffe5e6ee8970bef57e6abda5628f84206e4555c948422d2e62b7793">Ogre::ANIMBLEND_CUMULATIVE</a> =  1
 }</td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
